%define upstream_name    Cairo
%define upstream_version 1.109

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Perl module for the Cairo library
License:    GPL+ or Artistic
Group:      Development/GNOME and GTK+
Url:        https://gtk2-perl.sourceforge.net/
Source0:    https://cpan.metacpan.org/authors/id/X/XA/XAOC/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		perl-Cairo-strlen-type-fix.patch

BuildRequires: perl(ExtUtils::Depends) >= 0.200.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.0.0
BuildRequires: pkgconfig(cairo)
BuildRequires: perl-devel
%description
This module provides perl access to the Cairo library.

Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P0 -p1 -b .strlen-type-fix
find -type d -name CVS | rm -rf

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="$RPM_OPT_FLAGS"

%check
# temporary disable a test that cause a segfault in cairo->libng (gdb -q --args perl t/CairoSurface.t):
rm -f t/CairoSurface.t
make test

%install
%make_install

%files
%doc LICENSE META.json META.yml MYMETA.yml NEWS README TODO examples
%{_mandir}/*/*
%{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}.pm
%{perl_vendorarch}/auto/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.109.0-10.mga10
+ Revision: 2226722
- Mageia 10 Mass Rebuild

* Fri Aug 23 2024 tv <tv> 1.109.0-9.mga10
+ Revision: 2089342
- Rebuild for armv7

* Fri Aug 23 2024 tv <tv> 1.109.0-8.mga10
+ Revision: 2089109
- Fix build
- Fix build
- Rebuild for perl-5.40

* Tue Nov 28 2023 tv <tv> 1.109.0-5.mga10
+ Revision: 2010438
- Rebuild for perl-5.38

* Mon Jun 06 2022 umeabot <umeabot> 1.109.0-4.mga9
+ Revision: 1861578
- Rebuild for Perl 5.36

* Wed Mar 30 2022 umeabot <umeabot> 1.109.0-3.mga9
+ Revision: 1834747
- Mageia 9 Mass Rebuild

* Mon May 24 2021 tmb <tmb> 1.109.0-2.mga9
+ Revision: 1726274
- rebuild for rebuild for perl-5.34.0

* Thu Feb 25 2021 tv <tv> 1.109.0-1.mga9
+ Revision: 1690202
- update to 1.109

* Wed Nov 25 2020 tv <tv> 1.108.0-1.mga8
+ Revision: 1649110
- update to 1.108

* Wed Jun 17 2020 umeabot <umeabot> 1.107.0-3.mga8
+ Revision: 1594313
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.107.0-2.mga8
+ Revision: 1534830
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 tv <tv> 1.107.0-1.mga8
+ Revision: 1450123
- update to 1.107

* Mon Aug 26 2019 tmb <tmb> 1.106.0-12.mga8
+ Revision: 1432630
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.106.0-11.mga7
+ Revision: 1292396
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 tmb <tmb> 1.106.0-10.mga7
+ Revision: 1247396
- rebuild for perl 5.28

* Mon Apr 09 2018 tv <tv> 1.106.0-9.mga7
+ Revision: 1216448
- temporary disable a test that cause a segfault in cairo->libng:
  (gdb -q --args perl t/CairoSurface.t)
- use new macros

* Mon Oct 02 2017 tv <tv> 1.106.0-8.mga7
+ Revision: 1163231
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 1.106.0-7.mga7
+ Revision: 1155455
- rebuild with perl w/o 64int suffix

* Tue Sep 19 2017 tv <tv> 1.106.0-6.mga7
+ Revision: 1155371
- rebuild with perl w/o 64int suffix

* Thu Aug 31 2017 pterjan <pterjan> 1.106.0-5.mga7
+ Revision: 1148677
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.106.0-4.mga7
+ Revision: 1126537
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 1.106.0-3.mga6
+ Revision: 1022826
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.106.0-2.mga6
+ Revision: 956809
- Mageia 6 Mass Rebuild
+ tv <tv>
- switch to pkgconfig() BRs

* Thu Oct 01 2015 tv <tv> 1.106.0-1.mga6
+ Revision: 885570
- new release

* Fri Jun 26 2015 tv <tv> 1.105.0-2.mga6
+ Revision: 844747
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1.105.0-1.mga6
+ Revision: 840906
- update to 1.105

* Sun Oct 19 2014 umeabot <umeabot> 1.104.0-6.mga5
+ Revision: 789278
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.104.0-5.mga5
+ Revision: 750490
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.104.0-4.mga5
+ Revision: 683729
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.104.0-3.mga5
+ Revision: 630863
- Rebuild for perl 5.20

* Mon Oct 21 2013 umeabot <umeabot> 1.104.0-2.mga4
+ Revision: 538365
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 tv <tv> 1.104.0-1.mga4
+ Revision: 489459
- new release

* Wed May 29 2013 jquelin <jquelin> 1.103.0-4.mga4
+ Revision: 430558
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 1.103.0-3.mga4
+ Revision: 429951
- rebuild for new perl
- new release

* Sun Jan 13 2013 umeabot <umeabot> 1.102.0-2.mga3
+ Revision: 363750
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 tv <tv> 1.102.0-1.mga3
+ Revision: 328686
- new release

* Tue Jul 31 2012 tv <tv> 1.101.0-1.mga3
+ Revision: 276817
- new release

* Thu Jul 05 2012 jquelin <jquelin> 1.100.0-1.mga3
+ Revision: 268093
- update to 1.100

* Wed May 30 2012 jquelin <jquelin> 1.91_1-1.mga3
+ Revision: 251496
- update to 1.091_001
- rebuild for perl 5.16

* Mon Jan 23 2012 tv <tv> 1.90.0-1.mga2
+ Revision: 200387
- new release

* Thu Dec 29 2011 fwang <fwang> 1.82.0-1.mga2
+ Revision: 188597
- update file list
- new version 1.082

* Sat Oct 15 2011 tv <tv> 1.81.0-1.mga2
+ Revision: 155404
- new release

* Fri Oct 14 2011 jquelin <jquelin> 1.80.0-1.mga2
+ Revision: 154949
- update to 1.080
+ tv <tv>
- new release

* Sat Jun 11 2011 sander85 <sander85> 1.70.0-5.mga2
+ Revision: 103607
- perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 1.70.0-4.mga1
+ Revision: 23204
- cleaning spec file
- imported package perl-Cairo


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.70.0-4mdv2011.0
+ Revision: 564384
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.70.0-3mdv2011.0
+ Revision: 555262
- rebuild

* Tue Jul 20 2010 Thierry Vignaud <tv@mandriva.org> 1.70.0-2mdv2011.0
+ Revision: 555172
- adjust filelist
- new release

* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.61.0-2mdv2010.1
+ Revision: 504938
- rebuild using %%perl_convert_version

* Mon May 04 2009 Thierry Vignaud <tv@mandriva.org> 1.061-1mdv2010.0
+ Revision: 371799
- new release

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.060-2mdv2009.1
+ Revision: 351681
- rebuild

* Mon Jun 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.060-1mdv2009.0
+ Revision: 227965
- update to new version 1.060

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.053-2mdv2009.0
+ Revision: 223570
- rebuild

* Mon Feb 25 2008 Thierry Vignaud <tv@mandriva.org> 1.053-1mdv2008.1
+ Revision: 174751
- new release

* Tue Feb 12 2008 Thierry Vignaud <tv@mandriva.org> 1.052-1mdv2008.1
+ Revision: 166532
- new release

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.050-2mdv2008.1
+ Revision: 151275
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 22 2007 Thierry Vignaud <tv@mandriva.org> 1.050-1mdv2008.1
+ Revision: 111323
- new release

* Mon Oct 15 2007 Thierry Vignaud <tv@mandriva.org> 1.043-1mdv2008.1
+ Revision: 98517
- new release

* Wed Oct 10 2007 Thierry Vignaud <tv@mandriva.org> 1.042-1mdv2008.1
+ Revision: 96737
- BuildRequires perl-Test-Number-Delta
- new release

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 1.041-2mdv2008.0
+ Revision: 36190
- rebuild with correct optflags

* Tue Jun 05 2007 Thierry Vignaud <tv@mandriva.org> 1.041-1mdv2008.0
+ Revision: 35871
- new release

* Mon May 14 2007 Thierry Vignaud <tv@mandriva.org> 1.040-1mdv2008.0
+ Revision: 26721
- new release


* Tue Feb 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.023-1mdv2007.0
+ Revision: 126582
- new release

* Thu Jan 04 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.022-1mdv2007.1
+ Revision: 104209
- new release

* Thu Nov 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.021-1mdv2007.1
+ Revision: 86821
- new release

* Wed Oct 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.01-1mdv2007.1
+ Revision: 65974
- new release
- Import perl-Cairo

* Wed Sep 06 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.00-1mdv2007.0
- new release

* Thu Aug 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.92-1mdv2007.0
- new release

* Wed Jul 26 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.90-1mdv2007.0
- new release

* Sat Jun 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.04-1mdv2007.0
- new release

* Tue Jan 31 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.03-1mdk
- new release

* Fri Sep 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.02-1mdk
- 0.02
- Build and spec fixes, change group, enable "make test"

* Thu Aug 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.01-1mdk
- initial release

